"""

test_2d_grid.py

Author: Jordan Mirocha
Affiliation: UCLA
Created on: Thu Feb  9 13:38:33 PST 2017

Description: 

"""

import ares
import numpy as np

blobs_scalar = ['z_D', 'dTb_D', 'tau_e']

blobs_1d = ['cgm_h_2', 'igm_Tk', 'dTb']
blobs_1d_z = np.arange(5, 21)

base_pars = \
{
 'problem_type': 101,
 'tanh_model': True,
 'blob_names': [blobs_scalar, blobs_1d],
 'blob_ivars': [None, [('z', blobs_1d_z)]],
 'blob_funcs': None,
}

mg = ares.inference.ModelGrid(**base_pars)

z0 = np.arange(6, 12, 0.1)
dz = np.arange(0.1, 8.1, 0.1)

mg.axes = {'tanh_xz0': z0, 'tanh_xdz': dz}

mg.run('test_2d_grid', clobber=True, save_freq=100)



